<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class TypeAction extends MemberAction
{
    public function run()
    {
        $typeList = $this->db()->select()->from(DiaryType::table())->where('uid='.S::sqlEscape($this->uid()))->find();
        
        $this->getController()->render('type', array(
                'typeList' => $typeList,
            )
        );
    }
}